Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 591479 - Incorrect anaconda-ks.cfg written
Incorrect anaconda-ks.cfg written
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: David Cantrell
Release Test Team
:
Depends On:
Blocks: 582286
  Show dependency treegraph
 
Reported: 2010-05-12 07:20 EDT by Marian Ganisin
Modified: 2010-07-02 16:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-13.21.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 16:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2010-05-12 09:17:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 David Cantrell 2010-05-12 12:39:27 EDT
Easy fix:

diff --git a/instdata.py b/instdata.py
index c226cd4..8eefcd6 100644
--- a/instdata.py
+++ b/instdata.py
@@ -231,7 +231,7 @@ class InstallData:
                 f.write("harddrive --partition=%s --dir=%s\n" % (part, dir))
             elif m.startswith("nfs:") or m.startswith("nfsiso:"):
                 if m.count(":") == 3:
-                    (method, server, opts, dir) = m.split(":")
+                    (method, opts, server, dir) = m.split(":")
                     f.write("nfs --server=%s --opts=%s --dir=%s" % (server, opt
                 else:
                     (method, server, dir) = m.split(":")
Comment 5 Alexander Todorov 2010-05-25 09:06:17 EDT
With anaconda-13.21.45-1.el6 the order of NFS server, options and directory is correct however there's missing newline character at the end. Thus the next command 'lang en_US.UTF-8' is appended to the current line. Moving back to ASSIGNED.

Note: to reproduce pass method=nfs:opts:server:/dir on the boot command line.
Comment 6 David Cantrell 2010-05-25 12:07:43 EDT
Missing a newline.  Easy.
Comment 8 Alexander Todorov 2010-05-31 07:57:31 EDT
With anaconda-13.21.48 both missing newline and incorrect order are fixed. Moving to VERIFIED.
Comment 9 releng-rhel@redhat.com 2010-07-02 16:49:15 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.